package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserOrder;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserOrderMapper")
public interface UserOrderMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserOrder record);

    UserOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserOrder record);

    List<UserOrder> queryAllUserOrder(UserOrder record);

    List<UserOrder> queryUserOrderByPage(Map<String, Object> parameter);

    int delete(UserOrder record);

    UserOrder queryUserOrder(UserOrder record);

    List<UserOrder> query(UserOrder record);
}

